#include <stdio.h>
#ifdef _WIN32
	#include<Windows.h>
#endif

void gcd(int, int);
void main()
{
	int x,y;
		printf("두 개의 정수를 입력하세요 x, y \n");
		scanf("%d %d",&x,&y);
		gcd(x,y);

	system("PAUSE");
}

void gcd(int x, int y)
{
	if(x<y)
		gcd(y,x);
	else
	{
		if(x%y == 0)
			printf("GCD ==> %5d\n",y);
		else
			gcd(y, x%y);
	}
}